package fxLangat;

import javafx.application.Application;
import javafx.stage.Stage;
import langat.Langat;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author Käyttäjä
 * @version 2.2.2025
 *
 */
public class LangatMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("LangatGUIView.fxml"));
            final Pane root = (Pane)ldr.load();
            final LangatGUIController langatCtrl = (LangatGUIController) ldr.getController();
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("langat.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("Langat");
            
            Langat langat = new Langat();
            langatCtrl.setKerho(langat);
            
            
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei kaytossa
     */
    public static void main(String[] args) {
        launch(args);
    }
}